function camping_zone_openNav() {
  jQuery(".sidenav").addClass('show');
}
function camping_zone_closeNav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function camping_zone_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const camping_zone_nav = document.querySelector( '.sidenav' );

      if ( ! camping_zone_nav || ! camping_zone_nav.classList.contains( 'show' ) ) {
        return;
      }
      const elements = [...camping_zone_nav.querySelectorAll( 'input, a, button' )],
        camping_zone_lastEl = elements[ elements.length - 1 ],
        camping_zone_firstEl = elements[0],
        camping_zone_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && camping_zone_lastEl === camping_zone_activeEl ) {
        e.preventDefault();
        camping_zone_firstEl.focus();
      }

      if ( shiftKey && tabKey && camping_zone_firstEl === camping_zone_activeEl ) {
        e.preventDefault();
        camping_zone_lastEl.focus();
      }
    } );
  }
  camping_zone_keepFocusInMenu();
} )( window, document );

var camping_zone_btn = jQuery('#button');

jQuery(window).scroll(function() {
  if (jQuery(window).scrollTop() > 300) {
    camping_zone_btn.addClass('show');
  } else {
    camping_zone_btn.removeClass('show');
  }
});

camping_zone_btn.on('click', function(e) {
  e.preventDefault();
  jQuery('html, body').animate({scrollTop:0}, '300');
});

jQuery(document).ready(function() {
    var owl = jQuery('#top-slider .owl-carousel');
    owl.owlCarousel({
    margin: 0,
    nav:false,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 5000,
    loop: false,
    dots: false,
    navText : ['<i class="fas fa-chevron-up " aria-hidden="true"></i>','<i class="fas fa-chevron-down" aria-hidden="true"></i>'],
    responsive: {
      0: {
        items: 1
      },
      576: {
        items: 1
      },
      768: {
        items: 1
      },
      1000: {
        items: 1
      },
      1200: {
        items: 1
      }
    },
    autoplayHoverPause : false,
    mouseDrag: true
  });

    var owl = jQuery('.featured .owl-carousel');
    owl.owlCarousel({
    center: true,
    margin: 40,
    nav:false,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 5000,
    loop: true,
    dots: false,
    navText : ['<i class="fa fa-lg fa-chevron-left" aria-hidden="true"></i>','<i class="fa fa-lg fa-chevron-right" aria-hidden="true"></i>'],
    responsive: {
      0: {
        items: 1
      },
      576: {
        items: 1
      },
      768: {
        items: 3
      },
      1000: {
        items: 3
      },
      1200: {
        items: 3
      }
    },
    autoplayHoverPause : false,
    mouseDrag: true
  });
})

window.addEventListener('load', (event) => {
  jQuery(".loading").delay(2000).fadeOut("slow");
  jQuery(".loading2").delay(2000).fadeOut("slow");
});

jQuery('.header-search-wrapper .search-main').click(function(){
    jQuery('.search-form-main').toggleClass('active-search');
    jQuery('.search-form-main .search-field').focus();
});

jQuery(window).scroll(function() {
  var data_sticky = jQuery('.main-header').attr('data-sticky');

  if (data_sticky == "true") {
    if (jQuery(this).scrollTop() > 1){
      jQuery('.main-header').addClass("stick_header");
    } else {
      jQuery('.main-header').removeClass("stick_header");
    }
  }
});